Package org.drinkless.tdlib

# Class TdApi.GroupCallInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallInfo

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallInfo extends TdApi.Object
Contains information about a just created or just joined group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Identifier of the group call.
  `String`
  `joinPayload`
  Join response payload for tgcalls; empty if the call isn't joined.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallInfo()`
  Contains information about a just created or just joined group call.
  `GroupCallInfo(int groupCallId, String joinPayload)`
  Contains information about a just created or just joined group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Identifier of the group call.

  - ### joinPayload

    public String joinPayload
    Join response payload for tgcalls; empty if the call isn't joined.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallInfo

    public GroupCallInfo()
    Contains information about a just created or just joined group call.

  - ### GroupCallInfo

    public GroupCallInfo(int groupCallId, String joinPayload)
    Contains information about a just created or just joined group call.
    Parameters:
      `groupCallId` - Identifier of the group call.
      `joinPayload` - Join response payload for tgcalls; empty if the call isn't joined.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR